GNU Radio C++ API Reference: SpectrumGUIClass Class Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
SpectrumGUIClass Class Reference
GNU Radio C++ Signal Processing Blocks » QT Graphical Interfaces

QWidget class for controlling plotting. More...

`#include <gnuradio/qtgui/SpectrumGUIClass.h>`

## Public Member Functions
| SpectrumGUIClass (const uint64_t maxDataSize, const uint64_t fftSize, const double newCenterFrequency, const double newStartFrequency, const double newStopFrequency)
| ~SpectrumGUIClass ()
| SpectrumGUIClass (const SpectrumGUIClass &)=delete
| SpectrumGUIClass (SpectrumGUIClass &&)=delete
SpectrumGUIClass & | operator= (const SpectrumGUIClass &)=delete
SpectrumGUIClass & | operator= (SpectrumGUIClass &&)=delete
void | reset ()
void | openSpectrumWindow (QWidget *, const bool frequency=true, const bool waterfall=true, const bool time=true, const bool constellation=true)
void | setDisplayTitle (const std::string)
bool | getWindowOpenFlag ()
void | setWindowOpenFlag (const bool)
void | setFrequencyRange (const double, const double, const double)
double | getStartFrequency ()
double | getStopFrequency ()
double | getCenterFrequency ()
void | updateWindow (const bool, const float *, const uint64_t, const float *, const uint64_t, const float *, const uint64_t, const gr::high_res_timer_type, const bool)
float | getPowerValue ()
void | setPowerValue (const float)
int | getWindowType ()
void | setWindowType (const int)
int | getFFTSize ()
int | getFFTSizeIndex ()
void | setFFTSize (const int)
gr::high_res_timer_type | getLastGUIUpdateTime ()
void | setLastGUIUpdateTime (const gr::high_res_timer_type)
unsigned int | getPendingGUIUpdateEvents ()
void | incrementPendingGUIUpdateEvents ()
void | decrementPendingGUIUpdateEvents ()
void | resetPendingGUIUpdateEvents ()
QWidget * | qwidget ()
void | setTimeDomainAxis (double min, double max)
void | setConstellationAxis (double xmin, double xmax, double ymin, double ymax)
void | setConstellationPenSize (int size)
void | setFrequencyAxis (double min, double max)
void | setUpdateTime (double t)
void | enableRFFreq (bool en)
bool | checkClicked ()
float | getClickedFreq ()

## Static Public Attributes
static const long | MAX_FFT_SIZE
static const long | MIN_FFT_SIZE
static const long | DEFAULT_FFT_SIZE

## Detailed Description

QWidget class for controlling plotting.

## Constructor & Destructor Documentation

## ◆ SpectrumGUIClass() [1/3]

SpectrumGUIClass::SpectrumGUIClass | ( | const uint64_t | maxDataSize,
|  | const uint64_t | fftSize,
|  | const double | newCenterFrequency,
|  | const double | newStartFrequency,
|  | const double | newStopFrequency )

Referenced by operator=(), operator=(), SpectrumGUIClass(), and SpectrumGUIClass().

## ◆ ~SpectrumGUIClass()

SpectrumGUIClass::~SpectrumGUIClass | ( |  | ) |

## ◆ SpectrumGUIClass() [2/3]

SpectrumGUIClass::SpectrumGUIClass | ( | const SpectrumGUIClass & |  | ) |
| delete

References SpectrumGUIClass().

## ◆ SpectrumGUIClass() [3/3]

SpectrumGUIClass::SpectrumGUIClass | ( | SpectrumGUIClass && |  | ) |
| delete

References SpectrumGUIClass().

## Member Function Documentation

## ◆ checkClicked()

bool SpectrumGUIClass::checkClicked | ( |  | ) |

## ◆ decrementPendingGUIUpdateEvents()

void SpectrumGUIClass::decrementPendingGUIUpdateEvents | ( |  | ) |

## ◆ enableRFFreq()

void SpectrumGUIClass::enableRFFreq | ( | bool | en | ) |

## ◆ getCenterFrequency()

double SpectrumGUIClass::getCenterFrequency | ( |  | ) |

## ◆ getClickedFreq()

float SpectrumGUIClass::getClickedFreq | ( |  | ) |

## ◆ getFFTSize()

int SpectrumGUIClass::getFFTSize | ( |  | ) |

## ◆ getFFTSizeIndex()

int SpectrumGUIClass::getFFTSizeIndex | ( |  | ) |

## ◆ getLastGUIUpdateTime()

gr::high_res_timer_type SpectrumGUIClass::getLastGUIUpdateTime | ( |  | ) |

## ◆ getPendingGUIUpdateEvents()

unsigned int SpectrumGUIClass::getPendingGUIUpdateEvents | ( |  | ) |

## ◆ getPowerValue()

float SpectrumGUIClass::getPowerValue | ( |  | ) |

## ◆ getStartFrequency()

double SpectrumGUIClass::getStartFrequency | ( |  | ) |

## ◆ getStopFrequency()

double SpectrumGUIClass::getStopFrequency | ( |  | ) |

## ◆ getWindowOpenFlag()

bool SpectrumGUIClass::getWindowOpenFlag | ( |  | ) |

## ◆ getWindowType()

int SpectrumGUIClass::getWindowType | ( |  | ) |

## ◆ incrementPendingGUIUpdateEvents()

void SpectrumGUIClass::incrementPendingGUIUpdateEvents | ( |  | ) |

## ◆ openSpectrumWindow()

void SpectrumGUIClass::openSpectrumWindow | ( | QWidget * | ,
|  | const bool | frequency = true,
|  | const bool | waterfall = true,
|  | const bool | time = true,
|  | const bool | constellation = true )

## ◆ operator=() [1/2]

SpectrumGUIClass & SpectrumGUIClass::operator= | ( | const SpectrumGUIClass & |  | ) |
| delete

References SpectrumGUIClass().

## ◆ operator=() [2/2]

SpectrumGUIClass & SpectrumGUIClass::operator= | ( | SpectrumGUIClass && |  | ) |
| delete

References SpectrumGUIClass().

## ◆ qwidget()

QWidget * SpectrumGUIClass::qwidget | ( |  | ) |

## ◆ reset()

void SpectrumGUIClass::reset | ( |  | ) |

## ◆ resetPendingGUIUpdateEvents()

void SpectrumGUIClass::resetPendingGUIUpdateEvents | ( |  | ) |

## ◆ setConstellationAxis()

void SpectrumGUIClass::setConstellationAxis | ( | double | xmin,
|  | double | xmax,
|  | double | ymin,
|  | double | ymax )

## ◆ setConstellationPenSize()

void SpectrumGUIClass::setConstellationPenSize | ( | int | size | ) |

## ◆ setDisplayTitle()

void SpectrumGUIClass::setDisplayTitle | ( | const std::string |  | ) |

## ◆ setFFTSize()

void SpectrumGUIClass::setFFTSize | ( | const int |  | ) |

## ◆ setFrequencyAxis()

void SpectrumGUIClass::setFrequencyAxis | ( | double | min,
|  | double | max )

## ◆ setFrequencyRange()

void SpectrumGUIClass::setFrequencyRange | ( | const double | ,
|  | const double | ,
|  | const double | )

## ◆ setLastGUIUpdateTime()

void SpectrumGUIClass::setLastGUIUpdateTime | ( | const gr::high_res_timer_type |  | ) |

## ◆ setPowerValue()

void SpectrumGUIClass::setPowerValue | ( | const float |  | ) |

## ◆ setTimeDomainAxis()

void SpectrumGUIClass::setTimeDomainAxis | ( | double | min,
|  | double | max )

## ◆ setUpdateTime()

void SpectrumGUIClass::setUpdateTime | ( | double | t | ) |

## ◆ setWindowOpenFlag()

void SpectrumGUIClass::setWindowOpenFlag | ( | const bool |  | ) |

## ◆ setWindowType()

void SpectrumGUIClass::setWindowType | ( | const int |  | ) |

## ◆ updateWindow()

void SpectrumGUIClass::updateWindow | ( | const bool | ,
|  | const float * | ,
|  | const uint64_t | ,
|  | const float * | ,
|  | const uint64_t | ,
|  | const float * | ,
|  | const uint64_t | ,
|  | const gr::high_res_timer_type | ,
|  | const bool | )

## Member Data Documentation

## ◆ DEFAULT_FFT_SIZE

const long SpectrumGUIClass::DEFAULT_FFT_SIZE
| static

## ◆ MAX_FFT_SIZE

const long SpectrumGUIClass::MAX_FFT_SIZE
| static

## ◆ MIN_FFT_SIZE

const long SpectrumGUIClass::MIN_FFT_SIZE
| static

The documentation for this class was generated from the following file:

- SpectrumGUIClass.h